Subject: [PANRG] Open Questions

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Tue, 7 Nov 2017 11:59:02 +0100

Greetings, all,

I've posted a draft covering what I think the open questions are in path-aware networking, to set the stage for a discussion at our second meeting in Singapore: see https://tools.ietf.org/html/draft-trammell-panrg-questions-01

For those of you who don't want to sit through a five-page draft, the questions, abbreviated, are:

- how are path properties defined and represented?
- how do endpoints get access to trustworthy path properties?
- how can endpoints select paths to use for traffic in a way
  that can be trusted by the network?
- how can interfaces to the transport and application
  layers support the use of path awareness?
- how can a path aware network in a path aware internetwork
  be effectively operated, given control inputs from the
  network administrator as well as from the endpoints?

I'm interested in any feedback anyone has about whether or not these are the right questions, or whether there's something big missing here.

Thanks, cheers,

Brian (as individual)